diffutils (1:3.5-3) unstable; urgency=medium

  * Add "sleep 1" to tests/colors after opening a fifo
    to avoid a race condition which makes the test to fail
    often on the ppc64el architecture. Thanks to Christoph Biedl.

 -- Santiago Vila <sanvila@debian.org>  Mon, 09 Jan 2017 23:55:10 +0100

diffutils (1:3.5-2) unstable; urgency=medium

  * Split override_dh_installdocs into -indep and -arch.
  * Standards-Version: 3.9.8 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jan 2017 18:25:42 +0100

diffutils (1:3.5-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches, as none of them is required anymore.
  * There are now --color and --palette options. Closes: #396485.
  * Exit status of diff for binary files that differ is now 1, not 2,
    as mandated by POSIX. Closes: #737180.
  * Option --no-dereference is now documented in manpage. Closes: #804544.

 -- Santiago Vila <sanvila@debian.org>  Wed, 31 Aug 2016 23:01:00 +0100

diffutils (1:3.3-3) unstable; urgency=medium

  * build-aux/update-copyright: Add escapes for braces in perl regex.
    New perl 5.22 gives a deprecation warning on stderr, making
    test-update-copyright.sh to fail, making the package to FTBFS.
    Reported by Chris Lamb. Closes: #809007.

 -- Santiago Vila <sanvila@debian.org>  Sat, 26 Dec 2015 19:08:10 +0100

diffutils (1:3.3-2) unstable; urgency=low

  * Drop AM_UPDATE_INFO_DIR=no, dh already takes care of that.
  * Add debian/upstream/signing-key.asc and improve debian/watch file.
  * Apply patch from Paul Eggert. diff now considers file names to be
    equal only if they are byte-for-byte equivalent. Closes: #704182.
  * Update config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Sep 2015 22:25:18 +0200

diffutils (1:3.3-1) unstable; urgency=low

  * New upstream release.
  * Switch from texi2html to makeinfo.
  * Source tarball is now in xz format.
  * Changed watch file to look for tar.xz sources.
  * Added --disable-silent-rules to configure command line.
  * Filenames with spaces are now allowed by diff. Closes: #99807.
  * Improved description of -I option. Closes: #648411.

 -- Santiago Vila <sanvila@debian.org>  Sat, 07 Sep 2013 14:43:28 +0200

diffutils (1:3.2-8) unstable; urgency=low

  * Added fix for gnulib compilation against eglibc 2.16, which no longer
    declares gets by default. Closes: #693346.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Feb 2013 13:28:12 +0100

diffutils (1:3.2-7) unstable; urgency=low

  * Updated config.guess and config.sub for arm64. Closes: #688965, #689617.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Oct 2012 18:12:38 +0200

diffutils (1:3.2-6) unstable; urgency=low

  * Forgot to update configure script after modifying m4/float_h.m4.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2012 21:30:06 +0200

diffutils (1:3.2-5) unstable; urgency=low

  * The previous change didn't work. Fix it the right way: Applied patch
    by Bruno Haible (taken from gnulib) fixing powerpc float issues.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2012 17:06:46 +0200

diffutils (1:3.2-4) unstable; urgency=medium

  * Modified gnulib-tests/Makefile.in to disable test-float,
    as it fails on powerpc.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2012 14:53:14 +0200

diffutils (1:3.2-3) unstable; urgency=low

  * Switch to dh. Should hopefully cross-build from source now.
    Closes: #664270.

 -- Santiago Vila <sanvila@debian.org>  Thu, 12 Apr 2012 20:20:46 +0200

diffutils (1:3.2-2) unstable; urgency=low

  * Dropped dummy "diff" binary package.
  * Build with hardened flags. Closes: #653853.

 -- Santiago Vila <sanvila@debian.org>  Sat, 03 Mar 2012 13:31:40 +0100

diffutils (1:3.2-1) unstable; urgency=low

  * New upstream release.
  * Manual license is now GFDL without cover or back texts, which means
    we can generate diffutils-doc from this source package again.
  * Moved info manual to diffutils. Now diffutils-doc has only HTML.
  * However, no need to add Replaces: diffutils-doc (<= 2.8.1-14)
    to diffutils, as old diff.info is now diffutils.info.
  * Info manual now clearly states that regular expressions are
    to be considered `grep'-style. Closes: #287682.
  * Fixed cmp manpage where it wrongly suggested "info diff" instead
    of "info cmp". Closes: #434214.
  * Manpage has improved a bit about format options. Closes: #547691.
  * Recursive diff now avoids printing excess slashes in concatenated
    file names. Closes: #586301.
  * Behaviour of --ignore-all-space has been clarified about what
    is to be considered "white space". Closes: #613319.
  * Fixed reporting of spurious differences. Closes: #633978.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Oct 2011 16:47:44 +0200

diffutils (1:3.0-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 04 May 2010 20:38:00 +0200

diffutils (1:2.9-4) unstable; urgency=medium

  * Applied improved patch from Paul Eggert to fix Bug #577832.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Apr 2010 15:03:40 +0200

diffutils (1:2.9-3) unstable; urgency=medium

  * Fixed regression where newline is added to a line not having a newline.
    Reported by Timo Juhani Lindfors. Patch by Jim Meyering. Closes: #577832.
  * Switch to 3.0 (quilt) source format, 2 patches.
  * Drop unused INSTALL_PROGRAM stuff.

 -- Santiago Vila <sanvila@debian.org>  Fri, 16 Apr 2010 00:29:16 +0200

diffutils (1:2.9-2) unstable; urgency=low

  * Applied patch from Raphael Hertzog which reverts upstream commit that
    changed "Binary files %s and %s differ" into "Files %s and %s differ",
    as the new output breaks dpkg-dev.

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Feb 2010 11:39:46 +0100

diffutils (1:2.9-1) unstable; urgency=low

  * New upstream release, now under GPL version 3 or later.
  * There is now a --tab-size option. Closes: #82923.
  * Manpage for cmp describes exit status. Closes: #200614.
  * Manpage for diff describes exit status. Closes: #228441, #473233.
  * The file de.po is now more recent. Closes: #313686.
  * Fixed bad sdiff behaviour. Closes: #320222.
  * Added wdiff to Suggests. Closes: #324627.
  * Fixed cmp behaviour regarding stdout and stderr. Closes: #356083.
  * The file ru.po is now more recent. Closes: #409274.
  * The file es.po is now more recent. Closes: #418005, #481708.
  * The file nl.po is now more recent. Closes: #427370.
  * Modified watch file to use http instead of ftp.
  * Removed .comment section from executables.
  * Added Homepage field to control file.

 -- Santiago Vila <sanvila@debian.org>  Sat, 13 Feb 2010 11:49:00 +0100

diffutils (1:2.8.1-18) unstable; urgency=medium

  * Modify Replaces field so that it includes old releases of diff in
    experimental. Closes: #546364. Note: This will make diff 2.8.7
    to "upgrade" to diffutils 2.8.1 if you don't have experimental in
    sources.list anymore. Those who really want diffutils 2.8.7 should
    keep experimental in sources.list.

 -- Santiago Vila <sanvila@debian.org>  Sun, 13 Sep 2009 11:13:04 +0200

diffutils (1:2.8.1-17) unstable; urgency=medium

  * Made diff to Pre-Depend on diffutils, as it's proper for the transition
    of an essential package. Thanks, Steve Langasek.

 -- Santiago Vila <sanvila@debian.org>  Tue,  8 Sep 2009 15:32:42 +0200

diffutils (1:2.8.1-16) unstable; urgency=low

  * Added epoch to fix upload mistake.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2009 12:46:12 +0200

diffutils (2.8.1-15) unstable; urgency=low

  * Use the new binary package name in the extended description.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2009 20:29:24 +0200

diffutils (2.8.1-14) unstable; urgency=low

  * Updated config.guess and config.sub.
  * Renamed diff package to diffutils. Closes: #539517.
  * Changed section to utils, following the override file.
  * Package diff is now a transition package (extra/oldlibs).
  * Changed Suggests to diffutils-doc, which is also renamed.
  * Do not ignore errors from make distclean (lintian warning).

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2009 14:38:30 +0200

diffutils (2.8.1-13) unstable; urgency=low

  * Fixed --ignore-file-name-case. Patch from Ubuntu. Closes: #300258.
  * Modified debian/rules to support cross-build. Closes: #451159.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 May 2009 18:00:00 +0200

diffutils (2.8.1-12) unstable; urgency=low

  * Drop outdated preinst.
  * Updated config.guess and config.sub.
  * Do not override _POSIX2_VERSION anymore. Please fix your scripts.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2007 15:04:18 +0200

diffutils (2.8.1-11) unstable; urgency=low

  * Changed default value of _POSIX2_VERSION in lib/posixver.c to
    199209 to not break backwards compatibility (Closes: #295421).
    People should be encouraged to set _POSIX2_VERSION="200112" in
    the environment, see what breaks, and fix it, as this change
    should be reverted some day after the release of sarge.

 -- Santiago Vila <sanvila@debian.org>  Tue, 15 Feb 2005 22:45:18 +0100

diffutils (2.8.1-10) unstable; urgency=low

  * Suggests: diff-doc (Closes: #294211).
  * Added a debian/watch file (Closes: #294834).

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Feb 2005 19:06:28 +0100

diffutils (2.8.1-9) unstable; urgency=low

  * Fixed typo in the copyright file.

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Jan 2005 16:38:26 +0100

diffutils (2.8.1-8) unstable; urgency=low

  * Repackaged source without the GFDL-covered manual. Closes: #212523.
  * Source is renamed to "diffutils" to make the archive scripts happy.
  * Removed texinfo and texi2html from Build-Depends, no longer needed.
  * Dropped diff-doc, will be generated from another source.
  * Added appropriate --build and --host options to ./configure call in
    debian/rules to support cross-compilation. Closes: #283642.

 -- Santiago Vila <sanvila@debian.org>  Sat,  8 Jan 2005 19:09:00 +0100

diff (2.8.1-7) unstable; urgency=low

  * Moved info manual to diff-doc to address Bug#212523 partially.
  * Added appropriate Replaces field to diff-doc.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Wed, 24 Nov 2004 19:01:10 +0100

diff (2.8.1-6) unstable; urgency=low

  * Fixed sdiff manpage (Closes: #219166).

 -- Santiago Vila <sanvila@debian.org>  Wed,  5 Nov 2003 10:55:58 +0100

diff (2.8.1-5) unstable; urgency=low

  * Updated config.guess and config.sub for GNU/KFreeBSD (Closes: #216779).

 -- Santiago Vila <sanvila@debian.org>  Tue, 21 Oct 2003 15:26:22 +0200

diff (2.8.1-4) unstable; urgency=low

  * Modified doc/Makefile.in so that it *never* uses install-info.
    This is a workaround for an automake bug triggered by the fact that
    install-info --version now outputs to stdout (Closes: #213495).

 -- Santiago Vila <sanvila@debian.org>  Wed,  1 Oct 2003 12:35:02 +0200

diff (2.8.1-3) unstable; urgency=low

  * Converted Debian changelog to UTF-8.
  * Made sdiff -E to work (Closes: #212954).

 -- Santiago Vila <sanvila@debian.org>  Mon, 29 Sep 2003 23:50:50 +0200

diff (2.8.1-2) unstable; urgency=low

  * Removed doc symlinks.
  * Updated DEB_BUILD_OPTIONS handling (added noopt, removed debug).
  * Updated config.sub/config.guess for netbsd (Closes: #179701).

 -- Santiago Vila <sanvila@debian.org>  Thu, 24 Apr 2003 22:17:04 +0200

diff (2.8.1-1) unstable; urgency=low

  * New upstream release.
  * There are upstream manpages now, generated by help2man.
  * The ranges feature by Peter Samuelson is now implemented upstream,
    but using a slightly different syntax.

 -- Santiago Vila <sanvila@debian.org>  Sat, 20 Jul 2002 12:51:04 +0200

diff (2.7-29) unstable; urgency=low

  * The DIFF environment variable is now ignored by sdiff, this feature was
    undocumented and will be removed in the next stable diffutils release.
    Thanks to Patrik Hägglund (Closes: #66486).

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Mar 2002 00:40:34 +0100

diff (2.7-28) unstable; urgency=medium

  * Fixed yet another bug in the ranges feature, where cmp -i misreports
    the byte number where files differ. Thanks to Tim Bell (Closes: #120583).

 -- Santiago Vila <sanvila@debian.org>  Fri, 23 Nov 2001 09:52:08 +0100

diff (2.7-27) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Nov 2001 16:32:02 +0100

diff (2.7-26) unstable; urgency=medium

  * Fixed a bug (introduced in diff_2.7-24) where cmp reports the wrong char
    number where files differ. Thanks to Gergely Risko (Closes: #109683).

 -- Santiago Vila <sanvila@debian.org>  Thu, 23 Aug 2001 12:55:33 +0200

diff (2.7-25) unstable; urgency=low

  * Rightly refer to the GNU General Public License in the copyright file.
    Reported by André Dahlqvist (Closes: #102236).
  * Registered HTML docs using doc-base.

 -- Santiago Vila <sanvila@debian.org>  Thu, 28 Jun 2001 19:03:34 +0200

diff (2.7-24) unstable; urgency=low

  * Fixed a bug (introduced in diff_2.7-19) where cmp -l may misreport the
    byte number of the differences it finds (Closes: #89755).
    Thanks to Vasco Pedro <vp@host.di.uevora.pt>.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Mar 2001 18:12:04 +0100

diff (2.7-23) unstable; urgency=low

  * Changed cmp doc to read 'byte number' instead of offset.
    Patch by Peter Muir <muirp@ieels.com>. Closes: #59514.
  * Build-Depends: texinfo, since .texi source is now modified.
  * Build-Depends-Indep: texi2html, not tetex-bin. Closes: #86580.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Feb 2001 19:09:17 +0100

diff (2.7-22) unstable; urgency=low

  * Removed old doc.Makefile from source, we already provide HTML.
  * Updated upstream source URL in copyright file.
  * Build-Depends-Indep: tetex-bin.

 -- Santiago Vila <sanvila@debian.org>  Wed,  3 Jan 2001 18:28:58 +0100

diff (2.7-21) frozen unstable; urgency=high

  * Avoid race condition in sdiff.c (edit) when creating temporary file.
    Patch by the upstream maintainer, Paul Eggert <eggert@twinsun.com>.
    Thanks to Colin Phipps <crp22@cam.ac.uk> for the report (Closes: #59730).
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@ctv.es>  Sat,  6 May 2000 18:20:38 +0200

diff (2.7-20) unstable; urgency=low

  * Fixed cmp manpage. Patch by Daniel Martin <Daniel.Martin@jhu.edu>.
  * Switch back to /usr/doc/diff.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 21 Sep 1999 12:49:44 +0200

diff (2.7-19) unstable; urgency=low

  * cmp: Applied the ranges feature patch by Peter Samuelson (Bug #16735).
  * Standards-Version: 3.0.0.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 27 Aug 1999 17:37:46 +0200

diff (2.7-18) unstable; urgency=low

  * Pre-Depends line not hardcoded anymore (bug #23296).
  * Rewritten debian/rules. Now it makes install (bug #23297).
  * Converted .texi to HTML, now in a separate package.
  * Source: moved manpages to the debian directory.
  * Added the file NEWS to the doc directory.
  * Updated copyright file.
  * Pristine source.
  * Added md5sums.
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 28 Sep 1998 20:25:44 +0200

diff (2.7-17) frozen unstable; urgency=low

  * applied Raul Miller's patch for stat under ncpfs: fixes 6958
  * fixed clean target in rules for multi-architecture builds

 -- Dale Scheetz <dwarf@polaris.net>  Sun,  7 Jun 1998 13:53:23 -0400

diff (2.7-16) frozen unstable; urgency=low

  * added Pre-Depends: libc6 to the control info: fixes 20717
  * removed texinfo.tex from the doc files: fixes 20761

 -- Dale Scheetz <dwarf@polaris.net>  Sat, 11 Apr 1998 14:10:06 -0400

diff (2.7-15) unstable; urgency=low

  * general clean up of rules file
  * removed gzip from copyright file : bug#14433

 -- Dale Scheetz <dwarf@polaris.net>  Thu, 13 Nov 1997 13:24:55 -0500

diff (2.7-14) unstable; urgency=high

  * build with libc6 : bug #11674
  * fixed changelog problems : bug #7555
  * changed clean target to distclean : bug #12479

 -- Dale Scheetz <dwarf@polaris.net>  Sun,  5 Oct 1997 14:18:57 -0400

diff (2.7-13) frozen unstable; urgency=low

  * fixed permissions on doc files

 -- Dale Scheetz <dwarf@polaris.net>  Sat, 16 Nov 1996 15:20:02 -0500

diff (2.7-12) frozen unstable; urgency=low

  * increased revision number to non-duplicate value

 -- Dale Scheetz <dwarf@polaris.net>  Wed, 13 Nov 1996 13:35:39 -0500

diff (2.7-11) unstable; urgency=low

  * Updated package to Standards-Version 2.1.0.0.

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 10 Sep 1996 23:33:40 -0400

Changes for diff-2.7-10
	elf package
	* use PRE-DEPENDS and add ESSENTIAL in control file

Changes for diff-2.7-9
	elf package
	* fixed problem in DEPENDS line of control file

Changes for diff-2.7-8
	elf package
	* added manpages from the FreeBSD-stable sources on ftp.cdrom.com

Changes for diff-2.7-7
	elf package
	* added dependency on lib5
	  These appear to have been written to describe diff-2.6

Changes for diff-2.7-6
	* rebuilt for elf

Changes for diff-2.7-5

Priority:  Routine
Changes:  Added texinfo file and Makefile in /usr/doc/diff

Changes for diff-2.7-4

Priority:  Routine
Changes:  Made the extended description shorter.

Changes for diff-2.7-3

1.  Removed blank line at the end of the extended description.
    This may have been causing problems with the debian distribution's
    "Packages" file.

Changes for diff-2.7-2

1.  Changed debian.control to list me as maintainer.

2.  Added extended description to debian.control.

3.  Went to Ian Murdock style debian.rules file, similar to my
    other packages.

This is the diffutils-2.7 package
Kitted up by Bill Mitchell <mitchell@mdd.comm.mot.com>

Taken over from Peter Tobias <tobias@server.et-inf.fho-emden.de>
